DNSIncoming
Date: 2017-02-10

javax.jmdns.impl

## Class DNSIncoming

- java.lang.Object
- - javax.jmdns.impl.DNSMessage
  - - javax.jmdns.impl.DNSIncoming

-     public final class DNSIncoming
      extends DNSMessage

  Parse an incoming DNS message into its components.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DNSIncoming.MessageInputStream`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `USE_DOMAIN_NAME_FORMAT_FOR_SRV_TARGET`

    - ### Fields inherited from class javax.jmdns.impl.DNSMessage

      `_additionals, _answers, _authoritativeAnswers, _questions, MULTICAST, UNICAST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DNSIncoming(java.net.DatagramPacket packet)` Parse a message from a datagram packet.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DNSIncoming` | `clone()`
    `int` | `elapseSinceArrival()`
    `int` | `getSenderUDPPayload()` This will return the default UDP payload except if an OPT record was found with a different size.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class javax.jmdns.impl.DNSMessage

      `getAdditionals, getAllAnswers, getAnswers, getAuthorities, getFlags, getId, getNumberOfAdditionals, getNumberOfAnswers, getNumberOfAuthorities, getNumberOfQuestions, getQuestions, isEmpty, isMulticast, isQuery, isResponse, isTruncated, print, setFlags, setId`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### USE_DOMAIN_NAME_FORMAT_FOR_SRV_TARGET

          public static boolean USE_DOMAIN_NAME_FORMAT_FOR_SRV_TARGET

  - ### Constructor Detail

    - #### DNSIncoming

          public DNSIncoming(java.net.DatagramPacket packet)
                      throws java.io.IOException

      Parse a message from a datagram packet.
      Parameters:
        `packet` -
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### clone

          public DNSIncoming clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### elapseSinceArrival

          public int elapseSinceArrival()

    - #### getSenderUDPPayload

          public int getSenderUDPPayload()

      This will return the default UDP payload except if an OPT record was found with a different size.
      Returns:
        the senderUDPPayload